[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# WriteComponentResFile

Write component properties to a specified resource file

## Declaration

Source position: classesh.inc line 2044

`procedure WriteComponentResFile(`
`const FileName: string;`
`Instance: TComponent`
`);`

## Description

WriteComponentResFile starts writing properties of Instance to the file FileName. It creates a filestream from FileName and then calls TStream.WriteComponentRes method to write the state of the component to the stream.

## See also

TStream.WriteComponentRes |  | Write resource header and component data to a stream
ReadComponentResFile |  | Read component properties from a specified resource file

Documentation generated on: Feb 26 2014